Subject: Re: bug#57758: Using menu-bar-mode and tool-bar-mode changes frame size

From: Po Lu <[email-masked]>
Date: Tue, 13 Sep 2022 12:56:45 +0800

uzibalqa <[email-masked]> writes:

> It makes more sense to change the size of the window instead of the frame.

If you want that, turn on frame-inhibit-implied resize.  The default
behavior will not change.

> Particularly for people having multiple screens of different sizes.  The frame 
> resize poses the problem of having the frame get beyond the screen region,
> with no way to access the menu-bar. 

Assuming you mean "monitor" by "screen", you can just move the frame
back inside.  But the implicit resizing is more likely to cut off the
echo area than the menu bar, since the origin of the frame wrt the root
window remains unchanged.